com.pivotal.gemfirexd.internal.client.am.stmtcache

## Class StatementKey

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.stmtcache.StatementKey

    public class StatementKey
    extends Object

A key representing a `java.sql.PreparedStatement` or a `java.sql.CallableStatement`.

The key takes a number of statement related attributes into account, and is used to insert and look up cached statement objects in the JDBC statement cache.

Key instances are created by a statement key factory.

See Also:
  `StatementKeyFactory`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`